<template>
    <div class="s">
        <v-card color="indigo lighten-1" class="mx-auto textcont" dark>
            <v-card-title class="headline mx-auto">文件列表</v-card-title>
            <v-text-field
                outlined
                dense
                class="mx-4"
                label="项目名称"
                color="primary lighten-2"
                clearable
                :error-messages="errorMessage"
                :error="falsee"
                :success-messages="successMessage"
                :success="falsee"
                v-model.trim="projectName"
                @keyup.enter="file_list"
            ></v-text-field>
            <div class="rightwrap">
                <v-btn color="red lighten-1" class="mr-2 mb-2" @click="file_list">查询</v-btn>
            </div>
            <v-list color="indigo lighten-3">
                <template v-for="file in files">
                    <v-list-item :key="file.name">
                        <v-list-item-title>{{ file.name }}</v-list-item-title>
                    </v-list-item>
                </template>
            </v-list>
        </v-card>
    </div>
</template>

<script>
export default {
    name: "fileList",
    data: () => ({
        falsee: false,
        errorMessage: "",
        successMessage: "",
        user: "",
        projectName: "",
        files: [],
    }),
    components: {},
    methods: {
        file_list() {
            this.$axios({
                method: "post",
                url: `/projectfile`,
                data: {
                    operation: "FileList",
                    projectName: this.projectName,
                },
            }).then(res => {
                console.log(res);
                if (res.status === 200) {
                    const data = res.data;
                    if (data.status === "OK") {
                        this.messagee("查询成功！");
                        this.files = data.filelist;
                    } else if (data.status === "ERROR") {
                        this.login_alert("查询失败！");
                    } else if (data.status === "Not_Exist") {
                        this.login_alert("项目不存在！");
                    } else {
                        this.login_alert("出错了！");
                    }
                } else {
                    this.login_alert("连接失败。\n请检查您的网络状态。");
                }
            });
        },
        login_alert(message) {
            this.errorMessage = "" + message;
        },
        messagee(message) {
            this.successMessage = "" + message;
        },
        mounted() {
            this.user = this.$store.getters.userName;
        },
    },
    computed: {},
};
</script>

<style scoped>
.s {
    margin-top: 15vh;
}
.rightwrap {
    display: flex;
    justify-content: flex-end;
}
</style>
